Summary: Associates helper applications with particular file types.
Name: mailcap
Version: 2.1.20
Release: 2tr
License: public domain
Group: Trustix Official
Source0: %{name}-%{version}.tar.gz
Source1: mailcap-2.1.txt
BuildRoot: %{_tmppath}/%{name}-root

%description
The mailcap file is used by the metamail program.  Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material.  Basically, mailcap associates a particular type of file
with a particular program that a mail agent or other program can call
in order to handle the file.

Mailcap should be installed to allow certain programs to be able to
handle non-text files.

%prep
%setup -q
install -m 644 %{SOURCE1} mailcap

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 mailcap $RPM_BUILD_ROOT/etc
install -m 644 mime.types $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man4
install -m 644 mailcap.4 $RPM_BUILD_ROOT%{_mandir}/man4

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%config(noreplace) /etc/mailcap
%config(noreplace) /etc/mime.types
%{_mandir}/man4/mailcap.*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Jun 26 2006 Bipin S <bipin at trustix dot org> 2.1.20-1tr
- Initial version for TSL-3.0.5.

* Fri Mar 18 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 2.1.18-2tr
- Rebuild for glibc-2.3.4-6tr

* Fri Mar 05 2005 Ajith Thampi <ajith at comodo dot com> 2.1.18-1tr
- New Upstream

* Fri Dec 17 2004 Chr. Toldnes <christht at trustix dot org> 2.1.15-2tr
- Added mailcap file from TSL-2.1
- We really need a new correct mailcap file...

* Thu Sep 23 2004 Nageswara Sastry <nageswara at comodo dot com> 2.1.15-1tr
- Upgraded to version 2.1.15-1tr from 2.0.5-8tr

* Thu Dec 11 2003 Erlend Midttun <erlendbm at trustix dot org> 2.0.5-6tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.5-5tr
- Big rebuild

* Wed May 15 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.5-4em
- Fixed mandir.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.5-3em
- Rebuilt against glibc 2.3.2.

* Tue Jan 18 2000 Bill Nottingham <notting@redhat.com>
- add .bz2

* Thu Jan 13 2000 Bill Nottingham <notting@redhat.com>
- add tgz/gz to gzip

* Thu Jun 16 1999 Bill Nottingham <notting@redhat.com>
- rpm files are RPM files. :)

* Sat May 15 1999 Jeff Johnson <jbj@redhat.com>
- fix typo in pdf entry (#2618).

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- comment out play

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated mime type for images from xv to ee
- cleaned up for our new version of the package which is in CVS

* Sat Mar 13 1999 Matt Wilson <msw@redhat.com>
- updated mime.types

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- comment out backticked %variables to work around security problems

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc version 2.1

* Mon Sep 21 1998 Bill Nottingham <notting@redhat.com>
- we don't ship tracker, use mikmod instead

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- added /etc/mime.types from mutt to this package to make it universal

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
